Bug 20756 - OPAC "Share list" button should be styled with an icon
Summary: OPAC "Share list" button should be styled with an icon
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-11 12:24 UTC by Owen Leonard
Modified: 2018-06-14 13:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20756: OPAC "Share list" button should be styled with an icon (13.27 KB, patch)
2018-05-14 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20756: Compiled CSS (87.49 KB, patch)
2018-05-14 15:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20756: OPAC "Share list" button should be styled with an icon (13.42 KB, patch)
2018-05-23 14:10 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20756: Compiled CSS (87.63 KB, patch)
2018-05-23 14:10 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20756: OPAC "Share list" button should be styled with an icon (13.51 KB, patch)
2018-05-25 09:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20756: Compiled CSS (87.73 KB, patch)
2018-05-25 09:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-11 12:24:03 UTC
The "Share list" button in the OPAC doesn't have an icon. It should be styled to fit in with the other list controls.
Comment 1 Owen Leonard 2018-05-14 15:10:41 UTC
Created attachment 75312 [details] [review]
Bug 20756: OPAC "Share list" button should be styled with an icon

This patch adds a new "share" icon to the sprite image used to style
controls in the OPAC. The "share list" links now have a "sharelist"
class which is used to style the links with the new icon.

Also changed: Fixed the page structure markup of opac-shareshelf.tt.

To test you must have the OpacAllowSharingPrivateLists system preference
enabled.

 - Log in to the OPAC and go to Lists -> Your lists.
 - Create one or more private lists if necessary.
 - In the table of your lists there should be a "Share" link with the
   new icon.
 - View one of these lists and confirm that the "Share" link at the top
   of the table of list items.
 - Click through to the share list page and confirm that the page looks
   correct.
Comment 2 Owen Leonard 2018-05-14 15:10:45 UTC
Created attachment 75313 [details] [review]
Bug 20756: Compiled CSS

This patch contains the compiled CSS file
Comment 3 Séverine Queune 2018-05-23 14:10:42 UTC
Created attachment 75498 [details] [review]
Bug 20756: OPAC "Share list" button should be styled with an icon

This patch adds a new "share" icon to the sprite image used to style
controls in the OPAC. The "share list" links now have a "sharelist"
class which is used to style the links with the new icon.

Also changed: Fixed the page structure markup of opac-shareshelf.tt.

To test you must have the OpacAllowSharingPrivateLists system preference
enabled.

 - Log in to the OPAC and go to Lists -> Your lists.
 - Create one or more private lists if necessary.
 - In the table of your lists there should be a "Share" link with the
   new icon.
 - View one of these lists and confirm that the "Share" link at the top
   of the table of list items.
 - Click through to the share list page and confirm that the page looks
   correct.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2018-05-23 14:10:45 UTC
Created attachment 75499 [details] [review]
Bug 20756: Compiled CSS

This patch contains the compiled CSS file

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-05-23 14:11:46 UTC
Seems good to me on all pages.
Thanks Owen !
Comment 6 Marcel de Rooy 2018-05-25 09:33:24 UTC
Created attachment 75559 [details] [review]
Bug 20756: OPAC "Share list" button should be styled with an icon

This patch adds a new "share" icon to the sprite image used to style
controls in the OPAC. The "share list" links now have a "sharelist"
class which is used to style the links with the new icon.

Also changed: Fixed the page structure markup of opac-shareshelf.tt.

To test you must have the OpacAllowSharingPrivateLists system preference
enabled.

 - Log in to the OPAC and go to Lists -> Your lists.
 - Create one or more private lists if necessary.
 - In the table of your lists there should be a "Share" link with the
   new icon.
 - View one of these lists and confirm that the "Share" link at the top
   of the table of list items.
 - Click through to the share list page and confirm that the page looks
   correct.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2018-05-25 09:33:29 UTC
Created attachment 75560 [details] [review]
Bug 20756: Compiled CSS

This patch contains the compiled CSS file

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Nick Clemens 2018-06-08 13:53:31 UTC
Pushed to master for 18.11, awesome work all!
Comment 9 Martin Renvoize 2018-06-11 09:32:08 UTC
This patch has been pushed to 18.05.x and will be in 18.05.01

A minor cosmetic improvement that shouldn't confuse existing users, backported, thanks all.
Comment 10 Fridolin SOMERS 2018-06-14 13:50:44 UTC
Not backported to 17.11.x.
I prefer not to change the compiled CSS.